# TODO: shared library when fixed upstream (missing exports file)
Summary:	Command line ACL utilities for the Linux NFSv4 client
Summary(pl.UTF-8):	Narzędzia linii poleceń do ACL dla linuksowego klienta NFSv4
Name:		nfs4-acl-tools
Version:	0.3.5
Release:	2
License:	BSD
Group:		Applications/System
Source0:	http://linux-nfs.org/~bfields/nfs4-acl-tools/%{name}-%{version}.tar.gz
# Source0-md5:	7d69a96c4d6def3db53151646fbcde65
URL:		http://linux-nfs.org/
BuildRequires:	attr-devel
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool >= 2:1.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Command line ACL utilities for the Linux NFSv4 client.

%description -l pl.UTF-8
Narzędzia linii poleceń do ACL dla linuksowego klienta NFSv4.

%package devel
Summary:	Header files and static libnfs4acl library
Summary(pl.UTF-8):	Pliki nagłówkowe i biblioteka statyczna libnfs4acl
Group:		Development/Libraries

%description devel
Header files and static libnfs4acl library.

%description devel -l pl.UTF-8
Pliki nagłówkowe i biblioteka statyczna libnfs4acl.

%prep
%setup -q

%build
%{__aclocal} -I m4
%{__autoconf}
# libexecdir is used for library installation
%configure \
	--libexecdir=%{_libdir}
# --enable-shared (broken as of 0.3.5, missing "exports" file)
%{__make} \
	LIBTOOL="libtool --tag=CC" \
	LTLDFLAGS="-rpath %{_libdir} -static" \
	OPTIMIZER="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install install-dev \
	DESTDIR=$RPM_BUILD_ROOT \
	INSTALL_MAN='install -m644 $(MAN_PAGES) $(MAN_DEST)' \
	PKG_INC_DIR=$RPM_BUILD_ROOT%{_includedir}

cp -p include/{libacl_nfs4,nfs4}.h $RPM_BUILD_ROOT%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING README TODO
%attr(755,root,root) %{_bindir}/nfs4_editfacl
%attr(755,root,root) %{_bindir}/nfs4_getfacl
%attr(755,root,root) %{_bindir}/nfs4_setfacl
%{_mandir}/man1/nfs4_editfacl.1*
%{_mandir}/man1/nfs4_getfacl.1*
%{_mandir}/man1/nfs4_setfacl.1*
%{_mandir}/man5/nfs4_acl.5*

%files devel
%defattr(644,root,root,755)
%{_libdir}/libnfs4acl.a
%{_includedir}/libacl_nfs4.h
%{_includedir}/nfs4.h
%changelog
* Tue Aug 28 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nfs4-acl-tools.git;a=log;h=master

* Tue Aug 28 2018 Jakub Bogusz <qboosh@pld-linux.org> ed2da76
- fixed development library installation, release 2

* Tue Aug 28 2018 Jakub Bogusz <qboosh@pld-linux.org> 596afdd
- updated to 0.3.5
- GUI has been removed (saved 0.3.4 in nfs4-acl-tools-gui.spec), removed strlcpy patch
- package static library and headers

* Mon Aug 27 2018 Jakub Bogusz <qboosh@pld-linux.org> 16c1852
- new URLs, updated to 0.3.4
- updated strlcpy patch (strlcpy is no longer used, but strncpy call looks suspicious)

* Sat Nov 13 2010 Jakub Bogusz <qboosh@pld-linux.org> d8e9bf6
- updated to 0.3.3
- added strlcpy patch (fixes GUI build on Linux)
- Qt 4 no longer enforces GPL, so gui builds are BSD-licensed

* Fri Jan 04 2008 Jakub Bogusz <qboosh@pld-linux.org> 08e7d27
- qt4-qmake -> qmake-qt4

* Sat Nov 03 2007 Jakub Bogusz <qboosh@pld-linux.org> c6ed939
- gui is GPL when compiled with free Qt

* Sat Nov 03 2007 Jakub Bogusz <qboosh@pld-linux.org> f065fc6
- new

